PDA

Visualizza la versione completa : Ubuntu e apt-get che non va


Dias
06-05-2005, 00:11
Ciao raga

Sto provando la Ubuntu (che tra l'altro mi piace), ma sto avendo dei problemi con apt-get, cioè non funziona. :messner:

Ho modificato /etc/apt/sources.list sbloccando universe, ma quando faccio per esempio "apt-get install xmms" mi restituisce questo:

Reading package lists... Done
Building dependency tree... Done
Package xmms is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package xmms has no installation candidate

Idem se provo ad installare altri pacchetti come smbfs. Dove sbaglio? :stordita:


Thanks

andy caps
06-05-2005, 00:14
decommenta anche le altre repository

:bhò:

incolla il sources.list

francofait
06-05-2005, 00:21
se non rifai l'update decommentare le repistri non basta
apt-get update
apt-get install tutto il resto - è sufficente la universe

Dias
06-05-2005, 00:45
Ecco, dimenticavo, avevo fatto anche apt-get update (cosi come facevo con la Slack, swaret --update). Aggiorna la lista ma quando vado a cercare qualcosa (tipo xmms, smbfs o qualsiasi altra cosa) mi dà quel messaggio. Ho provato a fare apt-get install gnome-bluetooth e anzichè quel messaggio mi dà dei problemi con le dipendenze che non riesce a risolvere. Ma apt-get non doveva risolvere sti problemi? :bhò:

Cmq ecco il mio file:


deb cdrom:[Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407)]/ hoary main restricted


## Uncomment the following two lines to fetch updated software from the network
# deb http://us.archive.ubuntu.com/ubuntu hoary main restricted
# deb-src http://us.archive.ubuntu.com/ubuntu hoary main restricted

## Uncomment the following two lines to fetch major bug fix updates produced
## after the final release of the distribution.
# deb http://us.archive.ubuntu.com/ubuntu hoary-updates main restricted
# deb-src http://us.archive.ubuntu.com/ubuntu hoary-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.

deb http://us.archive.ubuntu.com/ubuntu hoary universe
deb-src http://us.archive.ubuntu.com/ubuntu hoary universe

# deb http://security.ubuntu.com/ubuntu hoary-security main restricted
# deb-src http://security.ubuntu.com/ubuntu hoary-security main restricted

deb http://security.ubuntu.com/ubuntu hoary-security universe
deb-src http://security.ubuntu.com/ubuntu hoary-security universe

francofait
06-05-2005, 01:10
Originariamente inviato da Dias
Ecco, dimenticavo, avevo fatto anche apt-get update (cosi come facevo con la Slack, swaret --update). Aggiorna la lista ma quando vado a cercare qualcosa (tipo xmms, smbfs o qualsiasi altra cosa) mi dà quel messaggio. Ho provato a fare apt-get install gnome-bluetooth e anzichè quel messaggio mi dà dei problemi con le dipendenze che non riesce a risolvere. Ma apt-get non doveva risolvere sti problemi? :bhò:

Cmq ecco il mio file:


deb cdrom:[Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407)]/ hoary main restricted


## Uncomment the following two lines to fetch updated software from the network
# deb http://us.archive.ubuntu.com/ubuntu hoary main restricted
# deb-src http://us.archive.ubuntu.com/ubuntu hoary main restricted

## Uncomment the following two lines to fetch major bug fix updates produced
## after the final release of the distribution.
# deb http://us.archive.ubuntu.com/ubuntu hoary-updates main restricted
# deb-src http://us.archive.ubuntu.com/ubuntu hoary-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.

deb http://us.archive.ubuntu.com/ubuntu hoary universe
deb-src http://us.archive.ubuntu.com/ubuntu hoary universe

# deb http://security.ubuntu.com/ubuntu hoary-security main restricted
# deb-src http://security.ubuntu.com/ubuntu hoary-security main restricted

deb http://security.ubuntu.com/ubuntu hoary-security universe
deb-src http://security.ubuntu.com/ubuntu hoary-security universe

<Come errore + madornale di così non lo potevi fare , invece di decommentarle le repositri primarie le hai commentate lasciando attive le sole security.

Cosi pacchetti sarà difficile trovarne

francofait
06-05-2005, 01:13
mettilo così e vedrai che trovi tutto senza problemi

deb cdrom:[Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407)]/ hoary main restricted


deb http://it.archive.ubuntu.com/ubuntu hoary main restricted
deb-src http://it.archive.ubuntu.com/ubuntu hoary main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://it.archive.ubuntu.com/ubuntu breezy universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu hoary-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
# deb http://it.archive.ubuntu.com/ubuntu hoary universe
# deb-src http://it.archive.ubuntu.com/ubuntu hoary universe

deb http://security.ubuntu.com/ubuntu hoary-security main restricted
deb-src http://security.ubuntu.com/ubuntu hoary-security main restricted

# deb http://security.ubuntu.com/ubuntu hoary-security universe
# deb-src http://security.ubuntu.com/ubuntu hoary-security universe

Dias
06-05-2005, 01:15
Non comprendo, ho decommentato hoary universe e hoary-security universe, non avevate detto che universe bastava? :dottò:

Cmq ora decommento ogni cosa, voglio vedere se non va. :fagiano:

Dias
06-05-2005, 01:15
Grazie, ora provo. :)

francofait
06-05-2005, 01:18
Originariamente inviato da Dias
Grazie, ora provo. :)
Nell' universe multiverse metti breezy in sostituzione di hoary.
Hoary è passata a versione stabile

Dias
06-05-2005, 01:25
Download di roba varia partito, problema risolto. :yuppi:

Grazie mille, vado a smanettare un po'. :)

Loading